﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Telerik.WebControls;

public partial class TimerControl : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Ajaxify the timer and add a setting to update the label
        RadAjaxManager AjaxManager = (RadAjaxManager)this.Parent.FindControl("RadAjaxManager1");
        AjaxManager.AjaxSettings.AddAjaxSetting(RadAjaxTimer1, Label2, null);
    }

    protected void RadAjaxTimer1_Tick(object sender, TickEventArgs e)
    {
        //Increment timer ticks and the label text
        int ticks = Int32.Parse(Session["Ticks"].ToString()) + 1;
        Session["Ticks"] = ticks;
        Label2.Text = ticks.ToString();
    }
}
